Renewing product licenses

You can manually renew a license for a SiteLock product or add-on at any time during the 30-day renewal period before the expiration date by calling AutoApplyOrder with the previousOrder, domainName, and product parameters. Make sure that the values of domainName and product are the same as in the initial order. A single call can have one product ID and one or more add-on IDs.

If you want to enable or disable the automatic renewal of a license, pass Y or N with the enableAutoRenew parameter. By default autorenewal is enabled. If the license of a product expires earlier than the license of an add-on, you won’t be able to use an add-on without a product.

SSL PLUS SiteLock Bundle cannot be renewed separately from an SSL certificate—​it will be renewed automatically once the SSL certificate is renewed.

The API endpoint is:

https://secure.trust-provider.com/products/AutoApplyOrder

Request parameters

The following table lists parameters that you can use to renew the license of a product.

Parameter Requirement Type Max. Length Description

loginName

required

string

64 chars

The reseller’s login name.

loginPassword

required

string

128 chars

The reseller’s password.

product

required

string

64 chars

The product ID, a comma-separated string of integers.

days

required

integer

The validity period, in days.

For SiteLock products the allowed values are:

  • 30

  • 365

domainName

required

string

64 chars

The customer’s domain name.

appRepEmailAddress

required

string

255 chars

The customer’s email address.

previousOrderNumber

optional

integer

The order number of the previous license.

enableAutoRenew

optional

string

1 char

Indicates whether the SiteLock product should renew automatically at expiry. Allowed values are:

Y — Enable automatic renewal (requires sufficient account funds)

N — Disable automatic renewal

If omitted, the value is determined by the account’s auto-renew settings.

Example request

curl -X POST https://secure.trust-provider.com/products/!AutoApplyOrder?
-d 'loginName=sectigo_reseller' \
-d 'loginPassword=reseller_sectigo' \
-d 'product=1059' \
-d 'days=365' \
-d 'domainName=mydomain.com' \
-d '[email protected]' \
-d 'previousOrderNumber=3034881'